# Interface FBranchRow

interface FBranchRow {
branchId : string;
fromSearchNote : boolean;
isDeleted ?: boolean;
isExpanded ?: boolean;
noteId : string;
notePosition : number;
parentNoteId : string;
prefix ?: string;
}

- Defined in src/public/app/entities/fbranch.ts:3

##### Index

### Properties

branchId
fromSearchNote
isDeleted?
isExpanded?
noteId
notePosition
parentNoteId
prefix?

## Properties

### branchId

branchId: string

- Defined in src/public/app/entities/fbranch.ts:4

### fromSearchNote

fromSearchNote: boolean

- Defined in src/public/app/entities/fbranch.ts:10

### `Optional` isDeleted

isDeleted?: boolean

- Defined in src/public/app/entities/fbranch.ts:11

### `Optional` isExpanded

isExpanded?: boolean

- Defined in src/public/app/entities/fbranch.ts:9

### noteId

noteId: string

- Defined in src/public/app/entities/fbranch.ts:5

### notePosition

notePosition: number

- Defined in src/public/app/entities/fbranch.ts:7

### parentNoteId

parentNoteId: string

- Defined in src/public/app/entities/fbranch.ts:6

### `Optional` prefix

prefix?: string

- Defined in src/public/app/entities/fbranch.ts:8